package prez;

import java.io.*;
import java.util.*;


public class Prezentacja
{
	
	public Prezentacja(){
		
		/*
			Tablice statyczne...
			------------------
			|  Pracownik:    |
			|----------------|
			| Imie           |
			| Nazwisko       |
			| Data_ur.       |
			| Miejsce ur.    |
			| Tel.           |
			| Kod poczt.     |
			------------------
		*/
	
//		System.out.println("Implementacja przy uzyciu Tablic statycznych:");
		String[] pracownik = {"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"};
/*		
		String[][] pracownicyTbl = 
		{
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
			{"Jan", "Kowalski", "6/6/1982", "wawa", "6100123","03-213"},
		};

		for (int i=0; i < pracownicyTbl.length; i++){
			for(int j = 0; j< pracownicyTbl[i].length; j++){
				System.out.print(pracownicyTbl[i][j] + " ");
			}
			System.out.println();
		}
*/
		/*
			Implememtacja przy uzyciu KOLEKCJI
			w tym przypadku wektor tablic hashujacych

			------------------
			|  Pracownik:    |
			|----------------|
			| Imie           |
			| Nazwisko       |
			| Data_ur.       |
			| Miejsce ur.    |
			| Tel.           |
			| Kod poczt.     |
			------------------
			
		*/
		//Vector dataSet = new Vector();
		System.out.println("----- Zastosowanie Kolekcji (Hashtable) -----------");
		Hashtable row = new Hashtable();
		row.put("Imie", new String("Jan"));
		row.put("Nazwisko", new String("Kowalski"));
		row.put("data ur.", new String("6/6/1982"));
		row.put("miejsce", new String("wawa"));
		row.put("tel", new String("23423423"));
		row.put("kod", new String("03-232"));
		Enumeration e = row.keys();
		
		while (e.hasMoreElements()){
			String klucz = (String)e.nextElement();
			System.out.println(klucz +": "+(String)row.get(klucz));
		}

		System.out.println("----- Zastosowanie zbioru danych w postaci wektora Hashtable ;) -----");

		Pracownicy pracy = new Pracownicy();
		pracy.addPracownik("Janek", "Zielinski", "0303030", "Rzeszow", "02-233", "032342342423");
		pracy.addPracownik("Zenek", "Dusinski", "2342303030", "Rogow", "03-443", "02342345673");
		pracy.addPracownik("Ja", "Ziki", "0234030", "eszow", "0223433", "23432342342423");
		pracy.showPracownikow();
		
	}
	
	public static void main(String[] args){
		new Prezentacja();
	}
};

