import java.util.*;

class Pracownik {
	private static Vector prac = new Vector();
	private int wiek;
	private String imie, nazwisko;
	public Pracownik(String im, String naz, int wiek) {
		this.imie = im;
		this.nazwisko = naz;
		this.wiek = wiek;
		prac.add( this );		// dodanie ekstensji klasy Pracownik
	}							// do kolekcji Vector
	public int getWiek() {
		return wiek;
	}
	
	public static int sumaLat() {
		Iterator i = prac.iterator();
		int suma = 0;
		while(i.hasNext()) {
			suma += ((Pracownik)i.next()).getWiek();
		}
		return suma;
	}
	public static void main(String[] args){
		Pracownik p1 = new Pracownik("Jan","Kowalski",20);
		System.out.println("Wiek: "+p1.getWiek());
		Pracownik p2 = new Pracownik("Adam","Nowak",30);
		System.out.println("Wiek: "+p2.getWiek());
		System.out.println("Suma lat: "+Pracownik.sumaLat());
	}
}
